GenericResourcePlugin (Resource Management Library 2.8.1-SNAPSHOT API)
Date: 2018-11-05

org.gcube.resourcemanagement.support.shared.plugins

## Class GenericResourcePlugin

- java.lang.Object
- - org.gcube.resourcemanagement.support.shared.plugins.GenericResourcePlugin

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable

      public class GenericResourcePlugin
      extends Object
      implements Serializable, com.google.gwt.user.client.rpc.IsSerializable

  Author:
    Daniele Strollo (ISTI-CNR)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GenericResourcePlugin.Field`
    `static class` | `GenericResourcePlugin.FieldType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericResourcePlugin()` Deprecated. for serialization only
    `GenericResourcePlugin(String name, String namespace, String description, String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParam(GenericResourcePlugin.Field param)`
    `String` | `getDescription()`
    `String` | `getName()`
    `String` | `getNamespace()`
    `List<GenericResourcePlugin.Field>` | `getParams()`
    `String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericResourcePlugin

          public GenericResourcePlugin()

      Deprecated. for serialization only

    - #### GenericResourcePlugin

          public GenericResourcePlugin(String name,
                               String namespace,
                               String description,
                               String type)

  - ### Method Detail

    - #### addParam

          public final void addParam(GenericResourcePlugin.Field param)

    - #### getName

          public final String getName()

    - #### getDescription

          public final String getDescription()

    - #### getType

          public final String getType()

    - #### getNamespace

          public final String getNamespace()

    - #### getParams

          public final List<GenericResourcePlugin.Field> getParams()

Copyright © 2018. All Rights Reserved.